#!/bin/sh

DelDrvLink()
{
    ed -s /etc/devlink.tab << TOAST > /dev/null
/name=dasc/
//
d
w
q
TOAST
}

DelAllDascEntry()
{
while :
do
    egrep "name=dasc" /etc/devlink.tab > /dev/null
    if [ $? -gt 0 ]
    then
	 break
    fi	
    DelDrvLink
done
}

#
# Uninstall Program for the RAID In-Band SCSI Driver for Solaris
#

#echo "\nUninstall Program for Infortrend RAID In-Band SCSI Driver for Solaris .."

modinfo | grep "dasc" > /dev/null
if [ $? -eq 0 ]
then
    rem_drv dasc > /dev/null 2>&1
fi

DelAllDascEntry

if [ `/usr/bin/isainfo -b` = 64 ]; then
	rm -f /usr/kernel/drv/sparcv9/dasc > /dev/null 2>&1
	rm -f /usr/kernel/drv/dasc.conf > /dev/null 2>&1
else
	rm -f /usr/kernel/drv/dasc > /dev/null 2>&1
	rm -f /usr/kernel/drv/dasc.conf > /dev/null 2>&1
fi

#echo "\nUninstall Infortrend RAID In-Band SCSI Driver Successfully!"
#echo "\nReboot the system, then type \"b -r\" to boot with options"
